# Interface JsonNioClient

All Known Implementing Classes:
  `Jmol, JmolPanel, MPJmolApp, NMR_JmolPanel`

public interface JsonNioClient
a client of a JsonNioService -- just needs notices of the service shutting down or indicating that a banner needs to be changed.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`JsonNioClient.TouchHandler`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPES`

## Method Summary

Modifier and Type
Method
Description
`void`
`nioClosed(JsonNioServer jsonNioService)`
`void`
`processNioMessage(byte[] packet)`
`void`
`serverCycle()`

## Field Details

### TYPES

static final String TYPES

See Also:
  - Constant Field Values

## Method Details

### nioClosed

void nioClosed(JsonNioServer jsonNioService)

### processNioMessage

void processNioMessage(byte[] packet) throws Exception

Throws:
  `Exception`

### serverCycle

void serverCycle()